Bug 1084765 - kubeternetes-kubeadm seems to be missing dependencies
kubeternetes-kubeadm seems to be missing dependencies
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Containers
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Maximilian Meister
E-mail List
obs:running:10751:important
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-09 21:24 UTC by Richard Brown
Modified: 2021-05-17 12:55 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brown 2018-03-09 21:24:28 UTC
For kubeadm to work the following seems to need to be present

- kubelet
- kubectl

The kubernetes-kubeadm package currently doesn't require either, which leads to some very weird problems when trying to bootstrap a cluster ;)

kubernetes-kubeadm probably should require kubenetes-kubelet and kubernetes-client in addition/instead of kubernetes-common
Comment 1 Maximilian Meister 2018-05-28 14:56:31 UTC
i'll add this as part of the k8s upgrade to 1.10

kubectl is already a require by now, only kubelet missing
Comment 2 Maximilian Meister 2018-08-27 10:48:53 UTC
should be fixed by now
Comment 7 Swamp Workflow Management 2018-12-07 17:25:17 UTC
SUSE-SU-2018:4020-1: An update that solves two vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1084765,1095131,1108195,1111341,1112967,1112980,1114645,1116933,1118198
CVE References: CVE-2016-8859,CVE-2018-1002105
Sources used:
SUSE CaaS Platform 3.0 (src):    caasp-container-manifests-3.0.0+git_r291_33f7b2d-3.6.3, cri-o-1.10.6-4.8.5, cri-tools-1.0.0beta2-3.3.3, kubernetes-1.10.11-4.8.2, kubernetes-salt-3.0.0+git_r888_7af7095-3.33.2
Comment 8 Swamp Workflow Management 2018-12-17 15:41:37 UTC
This is an autogenerated message for OBS integration:
This bug (1084765) was mentioned in
https://build.opensuse.org/request/show/658922 15.0 / kubectl
Comment 9 Swamp Workflow Management 2018-12-18 09:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1084765) was mentioned in
https://build.opensuse.org/request/show/659046 15.0+Backports:SLE-12 / kubectl
Comment 10 Swamp Workflow Management 2018-12-18 11:41:04 UTC
This is an autogenerated message for OBS integration:
This bug (1084765) was mentioned in
https://build.opensuse.org/request/show/659074 15.0 / kubectl
Comment 11 Swamp Workflow Management 2019-07-11 19:20:48 UTC
This is an autogenerated message for OBS integration:
This bug (1084765) was mentioned in
https://build.opensuse.org/request/show/714707 15.1 / kubernetes
Comment 12 Swamp Workflow Management 2019-07-12 00:20:41 UTC
This is an autogenerated message for OBS integration:
This bug (1084765) was mentioned in
https://build.opensuse.org/request/show/714723 15.1 / kubernetes
Comment 13 Swamp Workflow Management 2020-04-26 19:15:10 UTC
openSUSE-SU-2020:0554-1: An update that solves 7 vulnerabilities and has 22 fixes is now available.

Category: security (important)
Bug References: 1039663,1042383,1042387,1057277,1059207,1061027,1065972,1069469,1084765,1084766,1085009,1086185,1086412,1095131,1095154,1096773,1097473,1100838,1101010,1104598,1104821,1112980,1118897,1118898,1136403,1144065,1155323,1161056,1161179
CVE References: CVE-2016-5195,CVE-2016-8859,CVE-2017-1002101,CVE-2018-1002105,CVE-2018-16873,CVE-2018-16874,CVE-2019-10214
Sources used:
openSUSE Leap 15.1 (src):    cri-o-1.17.1-lp151.2.2, cri-tools-1.18.0-lp151.2.1, go1.14-1.14-lp151.6.1, kubernetes-1.18.0-lp151.5.1